Package fr.gouv.vitam.common.metrics

# Class VitamMetricsNames

java.lang.Object
fr.gouv.vitam.common.metrics.VitamMetricsNames

public final class VitamMetricsNames extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `VITAM_ALERT_COUNTER`
  Vitam alert service counter per log_level Type: Counter Labels: "log_level"
  `static final String`
  `VITAM_CONSISTENCY_ERRORS_COUNT`
  Vitam consistency errors counter Type: Counter Labels: "tenant", "service"
  `static final String`
  `VITAM_FUNCTIONAL_ADMINISTRATION_RECONSTRUCTION_LATENCY_SECONDS`
  Vitam functional administration reconstruction latency (is seconds) Type: Gauge Labels: "tenant", "collection" (supported collections: "accessionregisterdetail" invalid input: '&' "accessionregistersymbolic")
  `static final String`
  `VITAM_LOGBOOK_OPERATION_RECONSTRUCTION_LATENCY_SECONDS`
  Vitam logbook operation reconstruction latency (is seconds) Type: Gauge Labels: "tenant"
  `static final String`
  `VITAM_METADATA_GRAPH_RECONSTRUCTION_LATENCY_SECONDS`
  Vitam metadata graph reconstruction latency (is seconds) Type: Gauge Labels: "collection" ("unit" or "objectgroup")
  `static final String`
  `VITAM_METADATA_LOG_SHIPPING_DURATION`
  Vitam metadata effective log shipping histogram duration metric Type: Histogram Labels: "collection"
  `static final String`
  `VITAM_METADATA_LOG_SHIPPING_TOTAL`
  Vitam metadata log shipping events counter for all events.
  `static final String`
  `VITAM_METADATA_OBJECT_SCROLL_DURATION`
  Unit scroll duration Type: Histogram Labels: "collection"
  `static final String`
  `VITAM_METADATA_OBJECT_SCROLL_TOTAL`
  Vitam metadata stream documents
  `static final String`
  `VITAM_METADATA_RECONSTRUCTION_LATENCY_SECONDS`
  Vitam metadata document reconstruction latency (is seconds) Type: Gauge Labels: "tenant", "collection" ("unit" or "objectgroup"), strategy
  `static final String`
  `VITAM_METADATA_UNIT_SCROLL_DURATION`
  Unit scroll duration Type: Histogram Labels: "collection"
  `static final String`
  `VITAM_METADATA_UNIT_SCROLL_TOTAL`
  Vitam metadata stream documents
  `static final String`
  `VITAM_PROCESSING_WORKER_CURRENT_TASK_TOTAL`
  Current number of worker tasks instantiated by the distributor.
  `static final String`
  `VITAM_PROCESSING_WORKER_REGISTERED_TOTAL`
  Current number of workers Type : Gauge Labels: "worker_family"
  `static final String`
  `VITAM_PROCESSING_WORKER_TASK_EXECUTION_DURATION_SECONDS`
  Worker tasks execution duration.
  `static final String`
  `VITAM_PROCESSING_WORKER_TASK_IDLE_DURATION_IN_QUEUE_SECONDS`
  Worker tasks waiting time since task creation until task dequeue from the queue.
  `static final String`
  `VITAM_PROCESSING_WORKER_TASK_IN_QUEUE_TOTAL`
  Current number of worker tasks in the queue Type: Gauge Labels: "worker_family"
  `static final String`
  `VITAM_PROCESSING_WORKFLOW_OPERATION_TOTAL`
  Vitam operation count per state and status Type: Gauge Labels: "workflow", "state", "status"
  `static final String`
  `VITAM_PROCESSING_WORKFLOW_STEP_EXECUTION_DURATION_SECONDS`
  ProcessWorkflow step execution duration.
  `static final String`
  `VITAM_RECONSTRUCTION_DURATION`
  Vitam metadata reconstruction histogram metric Type: Histogram Labels: "tenant", "container"
  `static final String`
  `VITAM_REQUESTS_SIZE_BYTES`
  Vitam requests size in bytes per tenant and method Type: Summary Labels: "tenant", "method"
  `static final String`
  `VITAM_RESPONSES_SIZE_BYTES`
  Vitam responses size in bytes per tenant and method Type: Summary Labels: "tenant", "method
  `static final String`
  `VITAM_STORAGE_DOWNLOAD_SIZE_BYTES`
  Vitam storage download objects from offers size in bytes per tenant, strategy, offer_id, origin of request (normal, traceability, offer_sync) and data_category Type: Summary Labels: "tenant", "strategy", "offer_id", "origin", "data_category"
  `static final String`
  `VITAM_STORAGE_UPLOAD_SIZE_BYTES`
  Vitam storage upload objects to offers size in bytes per tenant, strategy, offer_id, data_category, origin (normal, bulk, offer_sync), and per attempt Type: Summary Labels: "tenant", "strategy", "offer_id", "data_category", "origin", "attempt"
  `static final String`
  `VITAM_TAPE_OFFER_CACHE_MAX_CAPACITY`
  Max cache capacity for vitam tape offer Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_CONFLICT_STATE_TAPE`
  Total number of tapes with CONFLICT state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_ERROR_READ_ORDERS`
  Number of read orders with ERROR state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_ERROR_WRITE_ORDERS`
  Number of write orders with ERROR state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_EXPIRED_ACCESS_REQUESTS`
  Number of EXPIRED access requests Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_NON_READY_ACCESS_REQUESTS`
  Number of NON_READY access requests Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_READY_ACCESS_REQUESTS`
  Number of READY access requests Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_READY_READ_ORDERS`
  Number of read orders with READY state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_READY_WRITE_ORDERS`
  Number of write orders with READY state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_RUNNING_READ_ORDERS`
  Number of read orders with RUNNING state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_COUNT_RUNNING_WRITE_ORDERS`
  Number of write orders with RUNNING state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_EMPTY_STATE_TAPE`
  Total number of tapes with EMPTY state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_FULL_STATE_TAPE`
  Total number of tapes with FULL state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_INTERRUPTED_WORKERS`
  Number of KO worker drives for a vitam tape offer Type: Gauge Labels: "library"
  `static final String`
  `VITAM_TAPE_OFFER_OPEN_STATE_TAPE`
  Total number of tapes with OPEN state Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_QUEUED_INPUT_FILES_COUNT`
  Number of input files queued for archival Type: Gauge Labels: "bucket"
  `static final String`
  `VITAM_TAPE_OFFER_QUEUED_INPUT_FILES_SIZE`
  Total size in bytes of input files queued for archival Type: Gauge Labels: "bucket"
  `static final String`
  `VITAM_TAPE_OFFER_READ_ORDER_EXECUTION_DURATION`
  Execution duration of read orders of a Vitam tape storage offer Type: Histogram Labels: "bucket"
  `static final String`
  `VITAM_TAPE_OFFER_READ_ORDER_WAIT_TIME_BEFORE_EXECUTION`
  Wait time (in queue) before execution of a read order of a Vitam tape storage offer Type: Histogram Labels: "bucket"
  `static final String`
  `VITAM_TAPE_OFFER_TOTAL_WORKERS`
  Total number of worker drives for a vitam tape offer Type: Gauge Labels: "library"
  `static final String`
  `VITAM_TAPE_OFFER_USED_CACHE_CAPACITY`
  Current cache usage for vitam tape offer Type: Gauge Labels: None
  `static final String`
  `VITAM_TAPE_OFFER_WRITE_ORDER_EXECUTION_DURATION`
  Execution duration of write orders of a Vitam tape storage offer Type: Histogram Labels: "bucket"
  `static final String`
  `VITAM_TAPE_OFFER_WRITE_ORDER_WAIT_TIME_BEFORE_EXECUTION`
  Wait time (in queue) before execution of a write order of a Vitam tape storage offer Type: Histogram Labels: "bucket"

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VITAM_REQUESTS_SIZE_BYTES

    public static final String VITAM_REQUESTS_SIZE_BYTES
    Vitam requests size in bytes per tenant and method Type: Summary Labels: "tenant", "method"
    See Also:
      - Constant Field Values

  - ### VITAM_RESPONSES_SIZE_BYTES

    public static final String VITAM_RESPONSES_SIZE_BYTES
    Vitam responses size in bytes per tenant and method Type: Summary Labels: "tenant", "method
    See Also:
      - Constant Field Values

  - ### VITAM_STORAGE_UPLOAD_SIZE_BYTES

    public static final String VITAM_STORAGE_UPLOAD_SIZE_BYTES
    Vitam storage upload objects to offers size in bytes per tenant, strategy, offer_id, data_category, origin (normal, bulk, offer_sync), and per attempt Type: Summary Labels: "tenant", "strategy", "offer_id", "data_category", "origin", "attempt"
    See Also:
      - Constant Field Values

  - ### VITAM_STORAGE_DOWNLOAD_SIZE_BYTES

    public static final String VITAM_STORAGE_DOWNLOAD_SIZE_BYTES
    Vitam storage download objects from offers size in bytes per tenant, strategy, offer_id, origin of request (normal, traceability, offer_sync) and data_category Type: Summary Labels: "tenant", "strategy", "offer_id", "origin", "data_category"
    See Also:
      - Constant Field Values

  - ### VITAM_ALERT_COUNTER

    public static final String VITAM_ALERT_COUNTER
    Vitam alert service counter per log_level Type: Counter Labels: "log_level"
    See Also:
      - Constant Field Values

  - ### VITAM_CONSISTENCY_ERRORS_COUNT

    public static final String VITAM_CONSISTENCY_ERRORS_COUNT
    Vitam consistency errors counter Type: Counter Labels: "tenant", "service"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKFLOW_OPERATION_TOTAL

    public static final String VITAM_PROCESSING_WORKFLOW_OPERATION_TOTAL
    Vitam operation count per state and status Type: Gauge Labels: "workflow", "state", "status"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKER_TASK_IN_QUEUE_TOTAL

    public static final String VITAM_PROCESSING_WORKER_TASK_IN_QUEUE_TOTAL
    Current number of worker tasks in the queue Type: Gauge Labels: "worker_family"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKER_CURRENT_TASK_TOTAL

    public static final String VITAM_PROCESSING_WORKER_CURRENT_TASK_TOTAL
    Current number of worker tasks instantiated by the distributor. In queue or waiting to be added to the queue Type: Gauge Labels: "worker_family", "workflow", "step_name"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKER_REGISTERED_TOTAL

    public static final String VITAM_PROCESSING_WORKER_REGISTERED_TOTAL
    Current number of workers Type : Gauge Labels: "worker_family"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKER_TASK_EXECUTION_DURATION_SECONDS

    public static final String VITAM_PROCESSING_WORKER_TASK_EXECUTION_DURATION_SECONDS
    Worker tasks execution duration. From call of worker until receiving the response. Task contains one or collection of elements to send to workers Type: Histogram Labels: "worker_family", "worker_name", "workflow", "step_name"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKER_TASK_IDLE_DURATION_IN_QUEUE_SECONDS

    public static final String VITAM_PROCESSING_WORKER_TASK_IDLE_DURATION_IN_QUEUE_SECONDS
    Worker tasks waiting time since task creation until task dequeue from the queue. Task contains one or collection of elements to send to workers Type: Histogram Labels: "worker_family", "workflow", "step_name"
    See Also:
      - Constant Field Values

  - ### VITAM_PROCESSING_WORKFLOW_STEP_EXECUTION_DURATION_SECONDS

    public static final String VITAM_PROCESSING_WORKFLOW_STEP_EXECUTION_DURATION_SECONDS
    ProcessWorkflow step execution duration. From call of distributor until receiving the response Type: Histogram Labels: "workflow", "step_name"
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_UNIT_SCROLL_DURATION

    public static final String VITAM_METADATA_UNIT_SCROLL_DURATION
    Unit scroll duration Type: Histogram Labels: "collection"
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_OBJECT_SCROLL_DURATION

    public static final String VITAM_METADATA_OBJECT_SCROLL_DURATION
    Unit scroll duration Type: Histogram Labels: "collection"
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_UNIT_SCROLL_TOTAL

    public static final String VITAM_METADATA_UNIT_SCROLL_TOTAL
    Vitam metadata stream documents
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_OBJECT_SCROLL_TOTAL

    public static final String VITAM_METADATA_OBJECT_SCROLL_TOTAL
    Vitam metadata stream documents
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_LOG_SHIPPING_DURATION

    public static final String VITAM_METADATA_LOG_SHIPPING_DURATION
    Vitam metadata effective log shipping histogram duration metric Type: Histogram Labels: "collection"
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_LOG_SHIPPING_TOTAL

    public static final String VITAM_METADATA_LOG_SHIPPING_TOTAL
    Vitam metadata log shipping events counter for all events. Even for those with response already running Type: Counter
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_RECONSTRUCTION_LATENCY_SECONDS

    public static final String VITAM_METADATA_RECONSTRUCTION_LATENCY_SECONDS
    Vitam metadata document reconstruction latency (is seconds) Type: Gauge Labels: "tenant", "collection" ("unit" or "objectgroup"), strategy
    See Also:
      - Constant Field Values

  - ### VITAM_METADATA_GRAPH_RECONSTRUCTION_LATENCY_SECONDS

    public static final String VITAM_METADATA_GRAPH_RECONSTRUCTION_LATENCY_SECONDS
    Vitam metadata graph reconstruction latency (is seconds) Type: Gauge Labels: "collection" ("unit" or "objectgroup")
    See Also:
      - Constant Field Values

  - ### VITAM_RECONSTRUCTION_DURATION

    public static final String VITAM_RECONSTRUCTION_DURATION
    Vitam metadata reconstruction histogram metric Type: Histogram Labels: "tenant", "container"
    See Also:
      - Constant Field Values

  - ### VITAM_FUNCTIONAL_ADMINISTRATION_RECONSTRUCTION_LATENCY_SECONDS

    public static final String VITAM_FUNCTIONAL_ADMINISTRATION_RECONSTRUCTION_LATENCY_SECONDS
    Vitam functional administration reconstruction latency (is seconds) Type: Gauge Labels: "tenant", "collection" (supported collections: "accessionregisterdetail" invalid input: '&' "accessionregistersymbolic")
    See Also:
      - Constant Field Values

  - ### VITAM_LOGBOOK_OPERATION_RECONSTRUCTION_LATENCY_SECONDS

    public static final String VITAM_LOGBOOK_OPERATION_RECONSTRUCTION_LATENCY_SECONDS
    Vitam logbook operation reconstruction latency (is seconds) Type: Gauge Labels: "tenant"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_CACHE_MAX_CAPACITY

    public static final String VITAM_TAPE_OFFER_CACHE_MAX_CAPACITY
    Max cache capacity for vitam tape offer Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_USED_CACHE_CAPACITY

    public static final String VITAM_TAPE_OFFER_USED_CACHE_CAPACITY
    Current cache usage for vitam tape offer Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_TOTAL_WORKERS

    public static final String VITAM_TAPE_OFFER_TOTAL_WORKERS
    Total number of worker drives for a vitam tape offer Type: Gauge Labels: "library"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_INTERRUPTED_WORKERS

    public static final String VITAM_TAPE_OFFER_INTERRUPTED_WORKERS
    Number of KO worker drives for a vitam tape offer Type: Gauge Labels: "library"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_EMPTY_STATE_TAPE

    public static final String VITAM_TAPE_OFFER_EMPTY_STATE_TAPE
    Total number of tapes with EMPTY state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_OPEN_STATE_TAPE

    public static final String VITAM_TAPE_OFFER_OPEN_STATE_TAPE
    Total number of tapes with OPEN state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_FULL_STATE_TAPE

    public static final String VITAM_TAPE_OFFER_FULL_STATE_TAPE
    Total number of tapes with FULL state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_CONFLICT_STATE_TAPE

    public static final String VITAM_TAPE_OFFER_CONFLICT_STATE_TAPE
    Total number of tapes with CONFLICT state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_READY_ACCESS_REQUESTS

    public static final String VITAM_TAPE_OFFER_COUNT_READY_ACCESS_REQUESTS
    Number of READY access requests Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_NON_READY_ACCESS_REQUESTS

    public static final String VITAM_TAPE_OFFER_COUNT_NON_READY_ACCESS_REQUESTS
    Number of NON_READY access requests Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_EXPIRED_ACCESS_REQUESTS

    public static final String VITAM_TAPE_OFFER_COUNT_EXPIRED_ACCESS_REQUESTS
    Number of EXPIRED access requests Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_READY_READ_ORDERS

    public static final String VITAM_TAPE_OFFER_COUNT_READY_READ_ORDERS
    Number of read orders with READY state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_RUNNING_READ_ORDERS

    public static final String VITAM_TAPE_OFFER_COUNT_RUNNING_READ_ORDERS
    Number of read orders with RUNNING state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_ERROR_READ_ORDERS

    public static final String VITAM_TAPE_OFFER_COUNT_ERROR_READ_ORDERS
    Number of read orders with ERROR state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_READY_WRITE_ORDERS

    public static final String VITAM_TAPE_OFFER_COUNT_READY_WRITE_ORDERS
    Number of write orders with READY state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_RUNNING_WRITE_ORDERS

    public static final String VITAM_TAPE_OFFER_COUNT_RUNNING_WRITE_ORDERS
    Number of write orders with RUNNING state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_COUNT_ERROR_WRITE_ORDERS

    public static final String VITAM_TAPE_OFFER_COUNT_ERROR_WRITE_ORDERS
    Number of write orders with ERROR state Type: Gauge Labels: None
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_READ_ORDER_WAIT_TIME_BEFORE_EXECUTION

    public static final String VITAM_TAPE_OFFER_READ_ORDER_WAIT_TIME_BEFORE_EXECUTION
    Wait time (in queue) before execution of a read order of a Vitam tape storage offer Type: Histogram Labels: "bucket"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_WRITE_ORDER_WAIT_TIME_BEFORE_EXECUTION

    public static final String VITAM_TAPE_OFFER_WRITE_ORDER_WAIT_TIME_BEFORE_EXECUTION
    Wait time (in queue) before execution of a write order of a Vitam tape storage offer Type: Histogram Labels: "bucket"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_READ_ORDER_EXECUTION_DURATION

    public static final String VITAM_TAPE_OFFER_READ_ORDER_EXECUTION_DURATION
    Execution duration of read orders of a Vitam tape storage offer Type: Histogram Labels: "bucket"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_WRITE_ORDER_EXECUTION_DURATION

    public static final String VITAM_TAPE_OFFER_WRITE_ORDER_EXECUTION_DURATION
    Execution duration of write orders of a Vitam tape storage offer Type: Histogram Labels: "bucket"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_QUEUED_INPUT_FILES_SIZE

    public static final String VITAM_TAPE_OFFER_QUEUED_INPUT_FILES_SIZE
    Total size in bytes of input files queued for archival Type: Gauge Labels: "bucket"
    See Also:
      - Constant Field Values

  - ### VITAM_TAPE_OFFER_QUEUED_INPUT_FILES_COUNT

    public static final String VITAM_TAPE_OFFER_QUEUED_INPUT_FILES_COUNT
    Number of input files queued for archival Type: Gauge Labels: "bucket"
    See Also:
      - Constant Field Values